Bug 59480 - brp-compress fails when run twice
brp-compress fails when run twice
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-02-08 15:33 EST by jacob@ximian.com
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 17:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to pass -f to gzip (275 bytes, patch)
2002-02-08 15:33 EST, jacob@ximian.com
no flags Details | Diff

  None (edit)
Description jacob@ximian.com 2002-02-08 15:33:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.3 (X11; Linux i686; U;) Gecko/20020205

Description of problem:
brp-compress does not pass -f to gzip, so running the install stage twice will
yield errors.

gunzip: ./usr/share/info/sawfish.info already exists; do you wish to overwrite
(y or n)? Error: "rpm --rcfile
/usr/lib/rpm/rpmrc:/home/jacob/gnome2-snap/sawfish/bb_rpmrc --short-circuit -bi
sawfish.spec" attempted interactive I/O and interactive flag not set

Version-Release number of selected component (if applicable): rpm-build-4.0.3-1.03

How reproducible:

Steps to Reproduce:
1.run rpm --short-circuit --bi
2.run rpm --short-circuit --bi again


Actual Results:  build fails

Expected Results:  it should succeed.

Additional info:
Comment 1 jacob@ximian.com 2002-02-08 15:33:32 EST
Created attachment 44997 [details]
patch to pass -f to gzip
Comment 2 Jeff Johnson 2002-02-09 07:24:42 EST
What version of rpm? I believe this problem is already
fixed in rpm-4.0.3.
Comment 3 jacob@ximian.com 2002-02-09 09:44:06 EST
it is rpm-build-4.0.3-1.03.
Comment 4 jacob@ximian.com 2002-02-12 12:55:10 EST
Looking at brp-compress again, it does call gzip with -f.

However, gzip still asks whether it should overwrite the files.

Any idea why this is happening?  Is this a gzip bug?
Comment 5 Bill Nottingham 2005-09-29 17:43:10 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.

Note You need to log in before you can comment on or make changes to this bug.